Create a new webhook subscription for the specified event type.
Security
bearerAuth
The type of event to subscribe to. Currently only PdvRequestCompleted is supported for self-service webhooks.
Value:"PdvRequestCompleted"
Example:"PdvRequestCompleted"
- Mock serverhttps://developer.truckertools.com/_mock/apis/selfservicewebhooks/webhooks
- Production serverhttps://loadtracking.truckertools.com/api/v1/webhooks
curl -i -X POST \
https://developer.truckertools.com/_mock/apis/selfservicewebhooks/webhooks \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"eventType": "PdvRequestCompleted",
"clientUrl": "https://your-tms.example.com/webhooks/trucker-tools"
}'Response
{ "uuid": "550e8400-e29b-41d4-a716-446655440000", "eventType": "PdvRequestCompleted", "clientUrl": "https://your-tms.example.com/webhooks/trucker-tools", "isActive": true, "createdAt": "2024-05-24T19:50:18.053Z" }